Functions
Get function versions
List all code versions for a function. Used for rollback.
GET
/api/functions/projects/{projectId}/functions/{functionId}/versionsSDK setup
Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.
import { Configuration, FunctionsApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
// This endpoint accepts either credential — apiKey or accessToken alone is enough.
const functions = new FunctionsApi(configuration);import { Configuration, FunctionsApi } from 'mudbase-sdk';
const configuration = new Configuration({
basePath: 'https://cloud.mudbase.dev',
apiKey: 'sk_live_mudbase_doc_Xk9mP2qR7vN4wL8jH3tY6uE',
accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});
// This endpoint accepts either credential — apiKey or accessToken alone is enough.
const functions = new FunctionsApi(configuration);Example request
Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.
const { data: result } = await functions.getFunctionVersions("proj_h5058U8vwu2O", "zJp0QjVrFP1f0M8x");const { data: result } = await functions.getFunctionVersions("proj_h5058U8vwu2O", "zJp0QjVrFP1f0M8x");Playground
liveTest this endpoint with your own credentials. Your requests will be sent to the live API.
Get your API key from the console
Use the auth endpoints to obtain a JWT.
No Request Yet
Send a request to see the full inspector
Authentication
Requires JWT Requires API Key JWT or API Key
Note
This endpoint accepts either JWT Bearer token or API Key. Use
Authorization: Bearer YOUR_TOKEN for user context, or X-API-Key: YOUR_KEY for server-to-server. View authentication guide →Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →Include your API key in the X-API-Key: YOUR_KEY header (server-to-server, SDKs). View authentication guide →Path Parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectId | string | Yes | — |
functionId | string | Yes | — |
Responses
200Function versions
json
{
"success": true,
"data": {
"versions": [
{
"_id": "65a1b2c3d4e5f6789012345c",
"version": 3,
"comment": "Add validation",
"createdAt": "2024-01-15T12:00:00.000Z"
},
{
"_id": "65a1b2c3d4e5f6789012345b",
"version": 2,
"comment": "Fix bug",
"createdAt": "2024-01-15T11:00:00.000Z"
},
{
"_id": "65a1b2c3d4e5f6789012345a",
"version": 1,
"comment": "Initial version",
"createdAt": "2024-01-15T10:00:00.000Z"
}
]
}
}{
"success": true,
"data": {
"versions": [
{
"_id": "65a1b2c3d4e5f6789012345c",
"version": 3,
"comment": "Add validation",
"createdAt": "2024-01-15T12:00:00.000Z"
},
{
"_id": "65a1b2c3d4e5f6789012345b",
"version": 2,
"comment": "Fix bug",
"createdAt": "2024-01-15T11:00:00.000Z"
},
{
"_id": "65a1b2c3d4e5f6789012345a",
"version": 1,
"comment": "Initial version",
"createdAt": "2024-01-15T10:00:00.000Z"
}
]
}
}404Function not found
Errors
| Code | Meaning |
|---|---|
404 | Function not found |